Array Combine error

Hello, I have four working gravity forms on my site. For some reason on one of them, I have not made any recent changes. I get this message displaying on my webpage:

Warning : array_combine(): Both parameters should have an equal number of elements in /home3/ridingin/public_html/wp-content/plugins/gravityforms/includes/fields/class-gf-field-date.php on line 375

Any Suggestions or Input? Thank you

Hi Chris. I have not seen that on any sites. Chances are there is some other plugin or code that is interacting with Gravity Forms, and it is in need of an update. What other plugins are you using that extend Gravity Forms, or what custom snippets are you using in the theme functions.php file or a functionality plugin?

Hi Chris, thank you for the prompt response.

I am not sure if other plugin / code is interacting with gravity forms. I have the Gravity Forms Date Limiter and Gravity Forms Limit Data Range plugins as well. They are all similar forms on the website, which confuses me why this is appearing on just one and not all of them. I am not using any other official or certified add-ons in my forms. I am not sure what you mean by “what custom snippets are you using in the theme functions.php file or a functionality plugin?” but I do not believe I am using any. I will try to update and deactivate / reactivate plug ins to troubleshoot next.

Hi Chris. The warning message indicates this is related to the date field, so one of those plugins you mentioned is probably the culprit. Try disabling those two, one at a time, and see when the PHP warning goes away.

© 2008 - 2019. Gravity Forms is a project by Rocketgenius Inc.